# Interface IModulePackagesAttribute

All Superinterfaces:
  `IClassFileAttribute`

public interface IModulePackagesAttribute extends IClassFileAttribute
Description of a Module Packages as described in the JVMS9 4.7.26 This interface may be implemented by clients.

Since:
  3.14

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getPackageIndices()`
Answer back the array of package indices.
`char[][]`
`getPackageNames()`
Answer back the names of packages.
`int`
`getPackagesCount()`
Answer back the number of packages exported or opened.

### Methods inherited from interface IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

## Method Details

### getPackagesCount

int getPackagesCount()
Answer back the number of packages exported or opened.

Returns:
  the number of packages exported or opened

### getPackageIndices

int[] getPackageIndices()
Answer back the array of package indices.

Returns:
  the array of package indices.

### getPackageNames

char[][] getPackageNames()
Answer back the names of packages. Answers an empty collection if none.

Returns:
  the names of packages